%global gem_name loofah

Name: rubygem-%{gem_name}
Version: 1.2.1
Release: 1%{?dist}
Summary: Manipulate and transform HTML/XML documents and fragments
Group: Development/Languages
License: MIT
URL: https://github.com/flavorjones/loofah
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Tests fail with newer libxml.
# https://github.com/flavorjones/loofah/issues/60
Patch0: rubygem-loofah-1.2.1-skip-test.patch
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(nokogiri) >= 1.4.4
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(nokogiri) >= 1.4.4
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(rr)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Loofah is a general library for manipulating and transforming HTML/XML
documents and fragments. It's built on top of Nokogiri and libxml2, so
it's fast and has a nice API.
Loofah excels at HTML sanitization (XSS prevention). It includes some
nice HTML sanitizers, which are based on HTML5lib's whitelist, so it
most likely won't make your codes less secure.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Remove developer-only files.
for f in .gemtest Gemfile Rakefile; do
  rm $f
  sed -i "s|\"$f\",*||g" %{gem_name}.gemspec
done

# Tests fail with newer libxml.
# https://github.com/flavorjones/loofah/issues/60
%patch0 -p 1

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
  testrb -Ilib:test test/*/test_*.rb
popd


%files
%dir %{gem_instdir}
%doc %{gem_instdir}/MIT-LICENSE.txt
%doc %{gem_instdir}/README.rdoc
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/CHANGELOG.rdoc
%exclude %{gem_instdir}/benchmark
%exclude %{gem_instdir}/test

%changelog
* Sat Dec 28 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.2.1-1
- Initial package
